function Player::SetZombieTarget(%player,%radius)
{
	if($pref::Server::ZombiesEnabled == 1)
	{
		if(%player.getDatablock().isSurvivor == 1)
		{
			InitContainerRadiusSearch(%player.getPosition(), %radius, $TypeMasks::PlayerObjectType);
			while((%zombie = containerSearchNext()) != 0)
			{
				 %zombie = %zombie.getID();
				 if(%zombie.getclassname() $= "AiPlayer" && %zombie.isZombie == 1)
				 {
					if(IsInMinigame(%player))
					{
						if(IsInSameMinigame(%player,%zombie))
						{
							%zombie.setmoveobject(%player);
							%zombie.doublefollow = 1;
							if(%zombie.armsup == 0)
							{
								%zombie.playthread(1,%zombie.getdatablock().FollowAnim);
								%zombie.armsup = 1;
							}
							if(%zombie.spawnbrick.getgroup().client.minigame.ZombieCanJump)
							{
								ZombieJumpSearch(%zombie);
							}
							cancel(%zombie.searchsched);
							%zombie.searchsched = schedule(3000,0,playersearchloop,%zombie);
						}
					}
				}
			}
		}
	}
}
function FXDtsBrick::SetZombieTarget(%this,%radius)
{
	if($pref::Server::ZombiesEnabled == 1)
	{
		if($inputTarget_player.getDatablock().isSurvivor == 1)
		{
			InitContainerRadiusSearch(%this.getPosition(), %radius, $TypeMasks::PlayerObjectType);
			while((%zombie = containerSearchNext()) != 0)
			{
				 %zombie = %zombie.getID();
				 if(%zombie.getclassname() $= "AiPlayer" && %zombie.isZombie == 1)
				 {
					if(IsInMinigame($inputTarget_player))
					{
						if(IsInSameMinigame($inputTarget_player,%zombie))
						{
							%zombie.setmoveobject($inputTarget_player);
							%zombie.doublefollow = 1;
							if(%zombie.armsup == 0)
							{
								%zombie.playthread(1,%zombie.getdatablock().FollowAnim);
								%zombie.armsup = 1;
							}
							if(%zombie.spawnbrick.getgroup().client.minigame.ZombieCanJump)
							{
								ZombieJumpSearch(%zombie);
							}
							cancel(%zombie.searchsched);
							%zombie.searchsched = schedule(3000,0,playersearchloop,%zombie);
						}
					}
				}
			}
		}
	}
}
registerOutputEvent(Player, "SetZombieTarget","string 32 100",1);
registerOutputEvent(FXDTSBrick, "SetZombieTarget","string 32 100",1);